Sale-PaymentToken

API Explorer
https://payment.ipospays.tech/api/v3/iposTransact
POST

Submits a payment transaction request using a payment token ID .

For Sale Transactions

To perform a Sale or Pre-Authorization using the iPOS Transact API, you must include one of the following, depending on your flow:

** Using paymentTokenId (FTD Only)

  • paymentTokenId is generated by Freedom to Design (FTD)

  • It is ONE-TIME USE ONLY

  • It must be passed to the Transact API

After the transaction:

A Card Token / iPOS Token is returned in the response. This returned token can be used for future transactions

paymentTokenId cannot be reused for tokenized sales.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: your-access-token-here" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "",      "transactionReferenceId": ""    },    "preferences": {      "eReceipt": true,      "customerName": "John Doe",      "customerEmail": "test@example.com",      "customerMobile": "+14242424243",      "requestCardToken": true    },    "transactionRequest": {      "amount": "1250",      "transactionType": 1,      "paymentTokenId": "pay_tok_v3_998877",      "applySteamSettingTipFeeTax": false    },    "avs": {      "StreetNo": "123 Main St",      "Zip": ""    }  }'
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "1",
    "transactionId": "TXID-11223344",
    "amount": "1250",
    "responseApprovalCode": "APP98765",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "1250"
  }
}
{
  "errors": [
    {
      "field": "cardNumber",
      "message": "Invalid card number format."
    }
  ]
}